package com.cours.dao;

import com.cours.entities.Personne;
import java.util.List;

/**
 *
 * @author El hadji
 */
public interface IPersonneDao {

	// obtenir tous les objets Personne
	public List<Personne> findAll();

	// créer une nouvelle Personne
	public Personne create(Personne person);

	// modifier une Personne existante et la retourner
	public Personne update(Personne person);

	// supprimer une Personne existante
	boolean delete(Personne person);

	// chercher une Personne avec son id
	public Personne findById(Integer id);

	// chercher une Personne avec son prenom
	public List<Personne> findByPrenom(String prenom);

	// chercher une Personne avec son nom
	public List<Personne> findByNom(String nom);

	// chercher des Personnes avec son prenom et son nom
	public List<Personne> findByPrenomNom(String prenom, String nom);

	// chercher des personnes avec leur codePostal
	public List<Personne> findByCodePostal(String codePostal);

	// chercher des personnes avec leur ville
	public List<Personne> findByVille(String ville);

	// chercher les Personnes obese
	public List<Personne> findPersonnesObese();

	// chercher les Personne obese
	public List<Personne> findPersonnesMaigre();

	// Créer un ensemble de personnes
    public List<Personne> createBatchPersonnes(List<Personne> persons);
    
    // Supprimer un ensemble de personnes
    public Boolean deleteBatchPersonnes(List<Personne> persons);
}
